> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/disk/describediskcategory.md).

# DescribeDiskCategory

## 1. API Description

This API (DescribeDiskCategory) is used to query supported disk type.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type                                                                | Description                                                                                                  |
| ------------------ | -------- | ------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| instanceChargeType | Yes      | [ChargeType](/api-reference/compute/vm/datastructure.md#chargetype) | <p>Disk pricing model.</p><p>PREPAID: subscription</p><p>POSTPAID: pay-as-you-go</p>                         |
| zoneId             | No       | String                                                              | Zone ID. Call DescribeZones to obtain zone ID.                                                               |
| diskCategory       | No       | String                                                              | Disk type.Standard Disk: Hard Disk DriveSSD: Solid State DriveCall DescribeDiskCategory to obtain disk type. |

## 3. Output Parameters

| Parameter Name  | Type                                                                             | Description                                                                                                           |
| --------------- | -------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId       | String                                                                           | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| categoryZoneSet | Array of [DiskCategory](/api-reference/compute/vm/datastructure.md#diskcategory) | Type information on a disk.                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query supported disk type in `pocTest`.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDiskCategory
<Common Request Params>

Request:
{
  "zoneId": "pocTest"
}

Response:
{
  "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
  "response": {
    "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
    "categoryZoneSet": [
      {
        "zoneId": "pocTest",
        "categorySet": [
          "STANDARD"
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
